%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}

%global name1 libxml++

Name:           mingw32-%{name1}
Version:        2.26.0
Release:        1%{?dist}
Summary:        MinGW Windows C++ wrapper for the libxml2 XML parser library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://libxmlplusplus.sourceforge.net/
Source:         http://ftp.gnome.org/pub/GNOME/sources/libxml++/2.26/libxml++-%{version}.tar.bz2
Patch0:         libxml++-mingw32.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mingw32-libxml2 >= 2.6.1
BuildRequires:  mingw32-glibmm24 >= 2.4.0
BuildRequires:  doxygen, graphviz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 23
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gcc-c++

Requires:       pkgconfig

%description
libxml++ is a C++ wrapper for the libxml2 XML parser library. It's original
author is Ari Johnson and it is currently maintained by Christophe de Vienne
and Murray Cumming.


%prep
%setup -q -n %{name1}-%{version}
%patch0 -p0 -b .mingw32

%build
%{_mingw32_configure} --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_mingw32_docdir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_mingw32_bindir}/libxml++-2.6-2.dll
%{_mingw32_includedir}/*
%{_mingw32_libdir}/libxml++-2.6.dll.a
%{_mingw32_libdir}/libxml++-2.6.la
%{_mingw32_libdir}/pkgconfig/*
%dir %{_mingw32_libdir}/%{name1}-2.6
%dir %{_mingw32_libdir}/%{name1}-2.6/include
%{_mingw32_libdir}/%{name1}-2.6/include/*.h


%changelog
* Fri Apr 17 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.26.0-1
- update to 2.26.0
- remove docs cruft from install section
- remove dos2unix BR

* Wed Mar 25 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.24.2-4
- add BR's and R's
- remove docs, as they duplicate the native package

* Mon Mar 23 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.24.2-3
- unify main and devel subpackages

* Mon Mar 23 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.24.2-2
- copy from native package
